
<?php 
include("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/
    $continuale=0;
    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
    
    extract($_POST); 

	  $qa = "SELECT idtarjetas FROM codtarjetas WHERE 1";
    $ca = mysql_query($qa) or die ('Error (select consec): ' . mysql_error());
    $trans = mysql_fetch_row($ca)[0] + 1;
    
     $qPP = "UPDATE codtarjetas SET idtarjetas = '$trans' WHERE 1";
    $rPP = mysql_query($qPP) or die ('ErrPP update consec: ' . mysql_error());
    
	echo"
	<html>
    <head>
         <script src=\"https://banamex.dialectpayments.com/checkout/version/44/checkout.js\"
                data-error=\"errorCallback\"
                data-cancel=\"cancelCallback\">
        </script>

        <script type=\"text/javascript\">
            function errorCallback(error) {
                  console.log(JSON.stringify(error));
            }
            function cancelCallback() {
                  console.log('Payment cancelled');
            }

            Checkout.configure({
                merchant: '1080309',
                order: {
                    amount: function() {
                        //Dynamic calculation of amount
                        return $cant;
                    },
                    currency: 'MXN',
                    description: 'Pedido RRB',
                   id: '$trans'
                },
                interaction: {
                    merchant: {
                        name: 'Real Rich Business Team',
                        address: {
                            line1: 'Mexico Independiente 499',
                            line2: 'Zapopan, Jal Mexico'            
                        }    
                    }
                                                                }
            });
        </script>";
?>
        </head>
    <body>
     <br><br><center><img src="rrbvipbanner.png"><br><br>
<font size="5" color="blue">Sistema de pagos en L&iacute;nea</font>
<table border="1">

<tr><td><b>Referencia pago</b></td><td><?php echo"$trans"; ?></td></tr>
<tr><td><b>RFC</b></td><td><?php echo"$rfc"; ?></td></tr>
<tr><td><b>Por Pagar</b></td><td><?php echo"$cant"; ?></td></tr>


</table>
<br><br>Para su seguridad, contamos con sistema de Verificaci&oacute;n 3D de Visa y Mastercard<br>
Le recomendamos tener su celular a la mano ya que puede recibir una autorizaci&oacute;n por SMS<br><br>
        <input type="button" value="Hacer el pago" onclick="Checkout.showPaymentPage();" />
       
    </body>
</html>